<template>
    <ul class="languages">
        <li class="lang"
            v-for="(lang, i) of langs"
            :key="i"
            @click="change(lang)"
            :class="{'selected': isSelected(lang)}">{{lang}}</li>
    </ul>
</template>

<script>
    import Languages from "../data/langs";
    export default {
        name: "AppLangSelect",
        data: () => {
           return {
               langs: Languages().getKeyLanguages()
           }
        },
        methods: {
            isSelected: function (lang) {
                return this.$i18n.locale === lang;
            },
            change: function(lang) {
                this.$i18n.locale = lang;
            }
        }
    }
</script>

<style scoped lang="scss">

    .languages {
        list-style-type: none;
        display: flex;
        margin-left: 100px;

        .lang {
            color: #adaeb8;
            font-family: $mainFont, sans-serif;
            font-size: 20px;
            font-weight: 700;
            letter-spacing: 0.8px;

            &:hover {
                cursor: pointer;
            }

            &.selected {
                color: #0f0f0f;
            }

            &:not(:first-child) {
                margin-left: 16px;
            }
        }
    }
</style>
